diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/GatheringEvent.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/GatheringEvent.java
index 4d43cb4482..4ae44a924e 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/GatheringEvent.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/GatheringEvent.java
@@ -20,6 +20,7 @@ import javax.persistence.ManyToOne;
 import javax.persistence.OneToOne;
 import javax.persistence.Transient;
 import javax.validation.constraints.NotNull;
+import javax.validation.constraints.Size;
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
 import javax.xml.bind.annotation.XmlElement;
@@ -49,7 +50,7 @@ import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.location.Point;
 
 /**
- * The event when gathering a specimen or recording a field observation only
+ * The event when gathering a specimen or recording a field unit only
  * @author m.doering
  *
  */
@@ -61,9 +62,14 @@ import eu.etaxonomy.cdm.model.location.Point;
     "collectingAreas",
     "collectingMethod",
     "absoluteElevation",
-    "absoluteElevationError",
+    "absoluteElevationMax",
+    "absoluteElevationText",
     "distanceToGround",
-    "distanceToWaterSurface"
+    "distanceToGroundMax",
+    "distanceToGroundText",
+    "distanceToWaterSurface",
+    "distanceToWaterSurfaceMax",
+    "distanceToWaterSurfaceText"
 })
 @XmlRootElement(name = "GatheringEvent")
 @Entity
@@ -108,29 +114,88 @@ public class GatheringEvent extends EventBase implements Cloneable{
 	@Length(max = 255)
 	private String collectingMethod;
 
-	// meter above/below sea level of the surface
+	/**
+	 * meter above/below sea level of the surface
+	* if absoluteElevationMax is defined this is the minimum value
+	* of the range
+	 */
 	@XmlElement(name = "AbsoluteElevation")
 	@Field
 	@NumericField
 	private Integer absoluteElevation;
-
-	@XmlElement(name = "AbsoluteElevationError")
-	@Field(analyze = Analyze.NO)
+	
+	// meter above/below sea level of the surface, maximum value
+	@XmlElement(name = "AbsoluteElevationMax")
+	@Field
 	@NumericField
-	private Integer absoluteElevationError;
+	private Integer absoluteElevationMax;
+	
+
+	/**
+	 * Maximum value of meter above/below sea level of the surface as text.
+	 * If min/max value exists together with absoluteElevationText
+	 * the later will be preferred for formatting where as the former
+	 * will be used for computations. If the absoluteElevation
+	 * does not require any additional information such as 
+	 * "ca." it is suggested to use min/max value instead. 
+	 */
+	@XmlElement(name = "AbsoluteElevationText")
+	@Field
+	@Size(max=30)
+	private String absoluteElevationText;
 
 	// distance in meter from the ground surface when collecting. E.g. 10m below the ground or 10m above the ground/bottom of a lake or 20m up in the canope
 	@XmlElement(name = "DistanceToGround")
 	@Field(analyze = Analyze.NO)
 	@NumericField
-	private Integer distanceToGround;
+	private Double distanceToGround;
+	
+	// distance in meter from the ground surface when collecting. E.g. 10m below the ground or 10m above the ground/bottom of a lake or 20m up in the canope
+	@XmlElement(name = "distanceToGroundMax")
+	@Field(analyze = Analyze.NO)
+	@NumericField
+	private Double distanceToGroundMax;
+	
+	
+	/**
+	 * Distance to ground (e.g. when sample is taken from a tree) as text.
+	 * If min/max value exists together with distanceToGroundText
+	 * the later will be preferred for formatting whereas the former
+	 * will be used for computations. If the distanceToGround
+	 * does not require any additional information such as 
+	 * "ca." it is suggested to use min/max value instead. 
+	 */
+	@XmlElement(name = "distanceToGroundText")
+	@Field
+	@Size(max=30)
+	private String distanceToGroundText;
 
 	// distance in meters to lake or sea surface. Similar to distanceToGround use negative integers for distance *below* the surface, ie under water
 	@XmlElement(name = "DistanceToWaterSurface")
 	@Field(analyze = Analyze.NO)
 	@NumericField
-	private Integer distanceToWaterSurface;
+	private Double distanceToWaterSurface;
+	
+	// distance in meters to lake or sea surface. Similar to distanceToGround use negative integers for distance *below* the surface, ie under water
+	@XmlElement(name = "DistanceToWaterSurface")
+	@Field(analyze = Analyze.NO)
+	@NumericField
+	private Double distanceToWaterSurfaceMax;
+
+	/**
+	 * Distance to water surface (e.g. when sample is taken within water) as text.
+	 * If min/max value exists together with distanceToWaterSurfaceText
+	 * the later will be preferred for formatting whereas the former
+	 * will be used for computations. If the distanceToWaterSurface
+	 * does not require any additional information such as 
+	 * "ca." it is suggested to use min/max value instead. 
+	 */
+	@XmlElement(name = "distanceToGroundText")
+	@Field
+	@Size(max=30)
+	private String distanceToWaterSurfaceText;
 
+	
 	/**
 	 * Factory method
 	 * @return
@@ -242,30 +307,73 @@ public class GatheringEvent extends EventBase implements Cloneable{
 	public void setAbsoluteElevation(Integer absoluteElevation) {
 		this.absoluteElevation = absoluteElevation;
 	}
+	
 
-	public Integer getAbsoluteElevationError() {
-		return absoluteElevationError;
+	public Integer getAbsoluteElevationMax() {
+		return absoluteElevationMax;
 	}
 
-	public void setAbsoluteElevationError(Integer absoluteElevationError) {
-		this.absoluteElevationError = absoluteElevationError;
+	public void setAbsoluteElevationMax(Integer absoluteElevationMax) {
+		this.absoluteElevationMax = absoluteElevationMax;
 	}
+	
 
-	public Integer getDistanceToGround() {
+	public String getAbsoluteElevationText() {
+		return absoluteElevationText;
+	}
+
+	public void setAbsoluteElevationText(String absoluteElevationText) {
+		this.absoluteElevationText = absoluteElevationText;
+	}
+
+	public Double getDistanceToGround() {
 		return distanceToGround;
 	}
 
-	public void setDistanceToGround(Integer distanceToGround) {
+	public void setDistanceToGround(Double distanceToGround) {
 		this.distanceToGround = distanceToGround;
 	}
 
-	public Integer getDistanceToWaterSurface() {
+	public Double getDistanceToWaterSurface() {
 		return distanceToWaterSurface;
 	}
 
-	public void setDistanceToWaterSurface(Integer distanceToWaterSurface) {
+	public void setDistanceToWaterSurface(Double distanceToWaterSurface) {
 		this.distanceToWaterSurface = distanceToWaterSurface;
 	}
+	
+
+	public Double getDistanceToGroundMax() {
+		return distanceToGroundMax;
+	}
+
+	public void setDistanceToGroundMax(Double distanceToGroundMax) {
+		this.distanceToGroundMax = distanceToGroundMax;
+	}
+
+	public Double getDistanceToWaterSurfaceMax() {
+		return distanceToWaterSurfaceMax;
+	}
+
+	public void setDistanceToWaterSurfaceMax(Double distanceToWaterSurfaceMax) {
+		this.distanceToWaterSurfaceMax = distanceToWaterSurfaceMax;
+	}
+
+	public String getDistanceToGroundText() {
+		return distanceToGroundText;
+	}
+
+	public void setDistanceToGroundText(String distanceToGroundText) {
+		this.distanceToGroundText = distanceToGroundText;
+	}
+
+	public String getDistanceToWaterSurfaceText() {
+		return distanceToWaterSurfaceText;
+	}
+
+	public void setDistanceToWaterSurfaceText(String distanceToWaterSurfaceText) {
+		this.distanceToWaterSurfaceText = distanceToWaterSurfaceText;
+	}
 
 //*********** CLONE **********************************/
 
@@ -273,9 +381,9 @@ public class GatheringEvent extends EventBase implements Cloneable{
 	 * Clones <i>this</i> gathering event. This is a shortcut that enables to
 	 * create a new instance that differs only slightly from <i>this</i> gathering event
 	 * by modifying only some of the attributes.<BR>
-	 * This method overrides the clone method from {@link DerivedUnitBase DerivedUnitBase}.
+	 * This method overrides the clone method from {@link DerivedUnit DerivedUnit}.
 	 *
-	 * @see DerivedUnitBase#clone()
+	 * @see DerivedUnit#clone()
 	 * @see eu.etaxonomy.cdm.model.media.IdentifiableMediaEntity#clone()
 	 * @see java.lang.Object#clone()
 	 */
@@ -306,4 +414,7 @@ public class GatheringEvent extends EventBase implements Cloneable{
 	private static Set<NamedArea> getNewNamedAreaSet(){
 		return new HashSet<NamedArea>();
 	}
+
+
+
 }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/MaterialOrMethodEvent.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/MaterialOrMethodEvent.java
new file mode 100644
index 0000000000..aacf5f4014
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/MaterialOrMethodEvent.java
@@ -0,0 +1,188 @@
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.model.occurrence;
+
+import javax.persistence.Entity;
+import javax.persistence.FetchType;
+import javax.persistence.Inheritance;
+import javax.persistence.InheritanceType;
+import javax.persistence.ManyToOne;
+import javax.persistence.Transient;
+import javax.xml.bind.annotation.XmlAccessType;
+import javax.xml.bind.annotation.XmlAccessorType;
+import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlIDREF;
+import javax.xml.bind.annotation.XmlRootElement;
+import javax.xml.bind.annotation.XmlSchemaType;
+import javax.xml.bind.annotation.XmlType;
+
+import org.apache.log4j.Logger;
+import org.hibernate.envers.Audited;
+import org.hibernate.search.annotations.IndexedEmbedded;
+
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
+import eu.etaxonomy.cdm.model.common.EventBase;
+import eu.etaxonomy.cdm.model.common.TermType;
+import eu.etaxonomy.cdm.model.common.TermVocabulary;
+import eu.etaxonomy.cdm.model.molecular.Cloning;
+
+/**
+ * A material or method event handles data on materials or methods used for handling specimen or derived units
+ * in general. It stores information on what material or method was used, who used it and when it was used.
+ * For reusable data on materials or methods it is best practice to define these first as {@link DefinedTerm
+ * defined terms} of type {@link TermType#MaterialOrMethod} TODO and then use this term as {@link #getDefinedMaterialOrMethod()
+ * material or method term}. If this is not possible or if additional data needs to be added one may also 
+ * use {@link #getDescription() freetext} field inherited from {@link EventBase}. Actor and Date information
+ * are also handled via {@link EventBase} fields.
+ * This class may be extended by more specific classes which require structured handling of additional parameters.
+ * 
+ * In general material or method data is not considered to be CDM core data. Therefore the decision was made to handle 
+ * all the data with a common base class which is {@link MaterialOrMethodEvent} to reduce the number of tables required
+ * in the underlying databases.
+ * 
+ * @author a.mueller
+ * @created 2013-07-08
+ *
+ */
+@XmlAccessorType(XmlAccessType.FIELD)
+@XmlType(name = "MaterialOrMethod", propOrder = {
+	"definedMaterialOrMethod"
+})
+@XmlRootElement(name = "MaterialOrMethod")
+@Entity
+@Inheritance(strategy=InheritanceType.SINGLE_TABLE)
+@Audited
+public class MaterialOrMethodEvent extends EventBase implements Cloneable{
+	private static final long serialVersionUID = -4799205199942053585L;
+	private static final Logger logger = Logger.getLogger(MaterialOrMethodEvent.class);
+	
+    @XmlElement(name = "DefinedMaterialOrMethod")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @ManyToOne(fetch=FetchType.LAZY)
+    @IndexedEmbedded // no depth for terms
+	private DefinedTerm definedMaterialOrMethod;
+    
+	//TODO citation / link
+
+	
+// ******************** FACTORY METHOD ******************/	
+	
+    public static MaterialOrMethodEvent NewInstance(){
+    	return new MaterialOrMethodEvent();
+    }
+    
+    public static MaterialOrMethodEvent NewInstance(DefinedTerm definedMaterialOrMethod, String methodText){
+    	return new MaterialOrMethodEvent(definedMaterialOrMethod, methodText);
+    } 
+    
+// ********************* CONSTRUCTOR ********************/
+    
+    protected MaterialOrMethodEvent(){};
+
+    protected MaterialOrMethodEvent(DefinedTerm definedMaterialOrMethod, String methodText){
+    	this.definedMaterialOrMethod = definedMaterialOrMethod;
+    	this.setDescription(methodText);
+    }
+
+    
+// ********************* GETTER / SETTER ********************/
+	
+	
+	/**
+	 * The {@link #getDescription()} method is inherited from {@link EventBase}.
+	 * In this class it is used as freetext describing the material or method used
+	 * or if a {@link #getDefinedMaterialOrMethod() defined method} is given as
+	 * an additional information about how this defined method was used.
+	 * 
+	 * @see #getMaterialMethodText()
+	 */
+    @Override
+	public String getDescription() {
+		return super.getDescription();
+	}
+
+	
+	/**
+	 * @see #getDescription()
+	 * @see #setMaterialMethodText(String)
+	 */
+    @Override
+	public void setDescription(String materialMethodText) {
+		super.setDescription(materialMethodText);
+	}
+    
+    
+    
+	/**
+	 * A freetext describing the material or method or if
+	 * a {@link #getDefinedMaterialOrMethod() defined method} is given
+	 * an additional information about how this method was used.
+	 * In future this method could be removed to decrease the number 
+	 * of transient getters in the CDM.
+	 */
+	@Transient
+    public String getMaterialMethodText() {
+		return this.getDescription();
+	}
+
+
+	/**
+	 * @see #getMaterialMethodText()
+	 */
+	public void setMaterialMethodText(String materialMethodText) {
+		this.setDescription(materialMethodText);
+	}
+
+	
+	/**
+	 * A defined material or method given as a defined term in a materialOrMethod 
+	 * {@link TermVocabulary term vocabulary}. If such a defined material or method is used
+	 * the {@link #getDescription() description} should primarily focus on describing
+	 * deviation from this method rather then repeating it.
+	 * 
+	 * @see #getDescription()
+	 * @see #getMaterialMethodText()
+	 * @return the material or method term
+	 */
+	public DefinedTerm getDefinedMaterialOrMethod() {
+		return definedMaterialOrMethod;
+	}
+
+	/**
+	 * @see #getDefinedMaterialOrMethod()
+	 * @param materialMethodTerm
+	 */
+	public void setDefinedMaterialOrMethod(DefinedTerm definedMaterialOrMethod) {
+		this.definedMaterialOrMethod = definedMaterialOrMethod;
+	}
+	
+// ********************* CLONE ********************/
+	/** 
+	 * Clones <i>this</i> {@link Cloning}. This is a shortcut that enables to create
+	 * a new instance that differs only slightly from <i>this</i> cloning by
+	 * modifying only some of the attributes.<BR><BR>
+	 *  
+	 * @see EventBase#clone()
+	 * @see java.lang.Object#clone()
+	 */
+	@Override
+	public Object clone()  {
+		try{
+			MaterialOrMethodEvent result = (MaterialOrMethodEvent)super.clone();
+			
+			//don't change materialMethodTerm
+			return result;
+		}catch (CloneNotSupportedException e) {
+			logger.warn("Object does not implement cloneable");
+			e.printStackTrace();
+			return null;
+		}
+	}
+}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/MediaSpecimen.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/MediaSpecimen.java
new file mode 100644
index 0000000000..e0fcb0c1b0
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/MediaSpecimen.java
@@ -0,0 +1,141 @@
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.model.occurrence;
+
+
+import javax.persistence.Entity;
+import javax.persistence.FetchType;
+import javax.persistence.ManyToOne;
+import javax.xml.bind.annotation.XmlAccessType;
+import javax.xml.bind.annotation.XmlAccessorType;
+import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlIDREF;
+import javax.xml.bind.annotation.XmlRootElement;
+import javax.xml.bind.annotation.XmlSchemaType;
+import javax.xml.bind.annotation.XmlType;
+
+import org.apache.log4j.Logger;
+import org.hibernate.annotations.Cascade;
+import org.hibernate.annotations.CascadeType;
+import org.hibernate.envers.Audited;
+import org.hibernate.search.annotations.Indexed;
+
+import eu.etaxonomy.cdm.model.media.Media;
+import eu.etaxonomy.cdm.strategy.cache.common.IdentifiableEntityDefaultCacheStrategy;
+
+/**
+ * Instances of MediaSpecimen represent a specimen which IS a media (photo, drawing, ...).
+ * Therefore it usually the media is part of a collection and has it's own catalog/collection
+ * number. The individuum shown by the media may or may not be a collection specimen on it's own.
+ * Often it is not, which may be the reason why a picture (or other media) is taken instead.
+ * This is often the case for older (type) specimen which have only be drawn or painted.
+ * Also it may be the cases for small biota which can not be individualized 
+ * or preserved accordingly and may therefore be photographed instead.
+ *
+ * @author a.mueller
+ * @created 14-Jul-2013 13:06:22
+ */
+@XmlAccessorType(XmlAccessType.FIELD)
+@XmlType(name = "MediaSpecimen", propOrder = {
+    "mediaSpecimen"
+})
+@XmlRootElement(name = "MediaSpecimen")
+@Entity
+@Indexed(index = "eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase")
+@Audited
+public class MediaSpecimen extends DerivedUnit implements Cloneable {
+	private static final long serialVersionUID = -5717424451590705378L;
+	@SuppressWarnings("unused")
+	private static final Logger logger = Logger.getLogger(MediaSpecimen.class);
+	
+// ****************** FACTORY METHOD *****************/
+	
+	/**
+	 * Factory method.
+	 * @param type must be {@link SpecimenOrObservationType#Media} or a subtype of it.
+	 * @return
+	 */
+	public static MediaSpecimen NewInstance(SpecimenOrObservationType type){
+		return new MediaSpecimen(type);
+	}
+
+// ************** ATTRIBUTES ****************************/	
+		
+	@XmlElement(name = "sequence")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+	@ManyToOne(fetch = FetchType.LAZY)
+    @Cascade(CascadeType.SAVE_UPDATE)
+	private Media mediaSpecimen;
+
+// ******************* CONSTRUCTOR *************************/
+	
+	/**
+	 * Constructor
+	 */
+	private MediaSpecimen() {
+		this(SpecimenOrObservationType.Media);
+	}
+	
+	private MediaSpecimen(SpecimenOrObservationType type) {
+		super(type);
+		this.cacheStrategy = new IdentifiableEntityDefaultCacheStrategy<DerivedUnit>();
+	}
+
+	
+//************ GETTER / SETTER  **********************************/	
+
+	/**
+	 * The media which represents this specimen. It is important to realize
+	 * that a media specimen is not a media which only shows the specimen
+	 * but it is the specimen itself. Therefore this method should only be used
+	 * for specimen which ARE media.<BR>
+	 * This is often the case for older (type) specimen which have only be drawn or painted.
+	 * Also it may be the cases for small biota which can not be individualized 
+	 * or preserved accordingly and may therefore be photographed instead.
+	 */
+	public Media getMediaSpecimen() {
+		return mediaSpecimen;
+	}
+
+	/**
+	 * @see #getMediaSpecimen()
+	 */
+	public void setMediaSpecimen(Media mediaSpecimen) {
+		this.mediaSpecimen = mediaSpecimen;
+	}
+	
+// ************* Convenience Getter / Setter ************/
+	
+	
+
+//*********** CLONE **********************************/	
+
+
+	/** 
+	 * Clones <i>this</i> dna sample. This is a shortcut that enables to
+	 * create a new instance that differs only slightly from <i>this</i> dna sample
+	 * by modifying only some of the attributes.<BR>
+	 * This method overrides the clone method from {@link Specimen Specimen}.
+	 * @throws CloneNotSupportedException 
+	 * 
+	 * @see Specimen#clone()
+	 * @see DerivedUnit#clone()
+	 * @see eu.etaxonomy.cdm.model.media.IdentifiableMediaEntity#clone()
+	 * @see java.lang.Object#clone()
+	 */
+	@Override
+	public MediaSpecimen clone() {
+		MediaSpecimen result = (MediaSpecimen)super.clone();
+
+		//no changes to: mediaSpecimen
+		return result;
+	}
+}
\ No newline at end of file
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/PreservationMethod.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/PreservationMethod.java
index 195fa80aa0..a80ebe5f6f 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/PreservationMethod.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/PreservationMethod.java
@@ -1,95 +1,137 @@
-/**
-* Copyright (C) 2007 EDIT
-* European Distributed Institute of Taxonomy 
-* http://www.e-taxonomy.eu
-* 
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-
-package eu.etaxonomy.cdm.model.occurrence;
-
-import java.util.HashMap;
-import java.util.Map;
-import java.util.UUID;
-
-import eu.etaxonomy.cdm.model.common.DefinedTermBase;
-import eu.etaxonomy.cdm.model.common.TermVocabulary;
-
-import org.apache.log4j.Logger;
-import org.hibernate.envers.Audited;
-import org.hibernate.search.annotations.Indexed;
-
-import javax.persistence.*;
-import javax.xml.bind.annotation.XmlAccessType;
-import javax.xml.bind.annotation.XmlAccessorType;
-import javax.xml.bind.annotation.XmlRootElement;
-import javax.xml.bind.annotation.XmlType;
-
-/**
- * http://rs.tdwg.org/ontology/voc/Collection.rdf#SpecimenPreservationMethodTypeTerm
- * @author m.doering
- * @version 1.0
- * @created 08-Nov-2007 13:06:44
- */
-@XmlAccessorType(XmlAccessType.FIELD)
-@XmlType(name = "PreservationMethod")
-@XmlRootElement(name = "PreservationMethod")
-@Entity
-@Indexed(index = "eu.etaxonomy.cdm.model.common.DefinedTermBase")
-@Audited
-public class PreservationMethod extends DefinedTermBase<PreservationMethod> {
-	private static final long serialVersionUID = -6597303767771121540L;
-	@SuppressWarnings("unused")
-	private static final Logger logger = Logger.getLogger(PreservationMethod.class);
-	
-	protected static Map<UUID, PreservationMethod> termMap = null;
-	
-	/**
-	 * Factory method
-	 * @return
-	 */
-	public static PreservationMethod NewInstance(){
-		return new PreservationMethod();
-	}
-	
-	/**
-	 * Constructor
-	 */
-	public PreservationMethod() {
-	}
-	
-	/**
-	 * Factory method
-	 * @return
-	 */
-	public static PreservationMethod NewInstance(String term, String label, String labelAbbrev) {
-		return new PreservationMethod(term, label, labelAbbrev);
-	}
-	
-	/**
-	 * Constructor
-	 */
-	protected PreservationMethod(String term, String label, String labelAbbrev) {
-		super(term, label, labelAbbrev);
-	}
-
-// *************************** METHODS ******************************************************/	
-	
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.model.common.DefinedTermBase#resetTerms()
-	 */
-	@Override
-	public void resetTerms(){
-		termMap = null;
-	}
-
-	
-	@Override
-	protected void setDefaultTerms(TermVocabulary<PreservationMethod> termVocabulary){
-		termMap = new HashMap<UUID, PreservationMethod>();
-		for (PreservationMethod term : termVocabulary.getTerms()){
-			termMap.put(term.getUuid(), term); 
-		}
-	}
-}
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy 
+* http://www.e-taxonomy.eu
+* 
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.model.occurrence;
+
+import javax.persistence.Entity;
+import javax.persistence.FetchType;
+import javax.persistence.ManyToOne;
+import javax.xml.bind.annotation.XmlAccessType;
+import javax.xml.bind.annotation.XmlAccessorType;
+import javax.xml.bind.annotation.XmlElement;
+import javax.xml.bind.annotation.XmlIDREF;
+import javax.xml.bind.annotation.XmlRootElement;
+import javax.xml.bind.annotation.XmlSchemaType;
+import javax.xml.bind.annotation.XmlType;
+
+import org.apache.log4j.Logger;
+import org.hibernate.envers.Audited;
+import org.hibernate.search.annotations.Analyze;
+import org.hibernate.search.annotations.Field;
+import org.hibernate.search.annotations.IndexedEmbedded;
+import org.hibernate.search.annotations.NumericField;
+
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
+import eu.etaxonomy.cdm.model.common.EventBase;
+import eu.etaxonomy.cdm.model.common.TermType;
+import eu.etaxonomy.cdm.model.molecular.Cloning;
+
+/**
+ * This class is a specialization of {@link MaterialOrMethodEvent} which allows to
+ * specifically store temperature and XXX which are common parameters for preparation.
+ * 
+ * {@link #getDefinedMaterialOrMethod() Defined methods} taken to describe a Preservation Method
+ * should be taken from a vocabulary of type {@link TermType#PreservationMethod}
+ * 
+ * http://rs.tdwg.org/ontology/voc/Collection.rdf#SpecimenPreservationMethodTypeTerm
+ *
+ * @author a.mueller
+ * @created 2013-09-11
+ *
+ */
+@XmlAccessorType(XmlAccessType.FIELD)
+@XmlType(name = "PreservationMethod", propOrder = {
+	"medium",
+	"temperature"
+})
+@XmlRootElement(name = "PreservationMethod")
+@Entity
+//TODO @Indexed(index = "eu.etaxonomy.cdm.model.common.DefinedTermBase")
+@Audited
+public class PreservationMethod extends MaterialOrMethodEvent implements Cloneable {
+	private static final long serialVersionUID = 2366116167028862401L;
+	@SuppressWarnings("unused")
+	private static final Logger logger = Logger.getLogger(PreservationMethod.class);
+
+    @XmlElement(name = "Medium")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @ManyToOne(fetch = FetchType.LAZY)
+    @IndexedEmbedded // no depth for terms
+    private DefinedTerm medium;
+	
+	@XmlElement(name = "Temperature")
+	@Field(analyze = Analyze.NO)
+	@NumericField
+	private Double temperature;
+	
+	
+	// ******************** FACTORY METHOD ******************/	
+	
+	public static PreservationMethod NewInstance(){
+		return new PreservationMethod();
+	}
+	
+    public static PreservationMethod NewInstance(DefinedTerm definedMaterialOrMethod, String methodText){
+    	return new PreservationMethod(definedMaterialOrMethod, methodText, null, null);
+    }
+
+	public static PreservationMethod NewInstance(DefinedTerm definedMaterialOrMethod, String methodText, DefinedTerm preservationMedium, Double temperature){
+		return new PreservationMethod(definedMaterialOrMethod, methodText, preservationMedium, temperature);
+	}
+
+	
+	// ********************* CONSTRUCTOR ********************/
+		
+	//for hibernate use only
+	private PreservationMethod(){};
+	
+    private PreservationMethod(DefinedTerm definedMaterialOrMethod, String methodText, DefinedTerm medium, Double temperature){
+    	super(definedMaterialOrMethod, methodText);
+    	this.medium = medium;
+    	this.temperature = temperature;
+    }
+	
+	// ********************* GETTER / SETTER ********************/
+
+	public DefinedTerm getMedium() {
+		return medium;
+	}
+
+
+	public void setMedium(DefinedTerm medium) {
+		this.medium = medium;
+	}
+
+
+	public Double getTemperature() {
+		return temperature;
+	}
+
+
+	public void setTemperature(Double temperature) {
+		this.temperature = temperature;
+	}
+	
+	// ********************* CLONE ********************/
+	/** 
+	 * Clones <i>this</i> {@link Cloning}. This is a shortcut that enables to create
+	 * a new instance that differs only slightly from <i>this</i> cloning by
+	 * modifying only some of the attributes.<BR><BR>
+	 *  
+	 * @see EventBase#clone()
+	 * @see java.lang.Object#clone()
+	 */
+	@Override
+	public Object clone()  {
+		PreservationMethod result = (PreservationMethod)super.clone();
+		
+		//don't change medium, temperature
+		return result;
+	}
+}
